<?
 $chat2=@file("../local/datachat/$id_room.chat");
 $chat2_k=count($chat2);
 $time=time();
 $mb_ok='0';
 ///////// последний пост шутника ////////////////
 for ($i=0;$i<$chat2_k;$i++){
 	$postmb=explode(":||:",$chat2[$i]);
 	if ($postmb[4]=='4'){
 		$post=$postmb;
 		$post_m=$i;
 		$mb_ok='1';  // пост найден
 		$lastpost=$post;
 		}
 		}
 		$vr7='90'; // промежуток, через который показывается беспредел
 		///////////////////////////////////////////////////////
 		$time2=$time+$vr7;
 		if ($mb_ok=='0'||$post[5]<$time) // задается вопрос
 		{
 			$matbot=file("matbot.dat");
 			$matbot_k=count($matbot);
 			$rand_mat=rand(0,$matbot_k-1);
 			$mat=$matbot[$rand_mat];
 			$mat=str_replace("[nick]","$log",$mat);
 			$mat=base64_encode($mat);
 			$date=base64_encode(date("(G:i)"));
 			$fm=fopen("../local/datachat/$id_room.chat","a");
 			flock($fm,LOCK_EX);
 			fputs($fm,"ШахМаТюга:||:$date:||:$mat:||::||:4:||:$time2:||::||::||::||::||::||:\r\n");
 			fflush($fm);
 			flock($fm,LOCK_UN);
 			fclose($fm);
 			chmod ("../local/datachat/$id_room.chat", 0666);
 			}


?>
